Name:		dosbox
Version:	0.74
Release:	%mkrel 7
Summary:	Free Open Source DOS emulator to run old DOS games
Source0:	http://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-fix-str-fmt.patch
# From openSUSE:
# https://build.opensuse.org/package/view_file?file=gcc46.patch&package=dosbox&project=Emulators
Patch1:         %{name}-%{version}-gcc47.patch
License:	GPLv2+
Group:		Emulators
URL:		http://dosbox.sourceforge.net/
BuildRequires:	png-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_sound-devel
BuildRequires:	mesaglu-devel
BuildRequires:	icoutils

%description
DOSBox is a DOS-emulator that uses the SDL-library which makes
DOSBox very easy to port to different platforms. DOSBox has
already been ported to many different platforms, such as
Windows, BeOS, Linux, MacOS X...

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games...

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q
%apply_patches

%build
%configure2_5x	--enable-core-inline
%make

%install
%makeinstall
rm -rf %{buildroot}%{_datadir}/doc/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=DOSBox
Comment=DOS emulator to run old DOS games
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Emulator;
EOF

icotool -x -i 1 -o %{name}.png src/%{name}.ico
#mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps
install -m 0644 %{name}.png -D %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%{_mandir}/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.74-7.mga4
+ Revision: 545043
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dams <dams> 0.74-6.mga4
+ Revision: 500699
- remove uneeded sources for the unofficial logo and use the official logo provided in the tarball

* Mon Jun 03 2013 fwang <fwang> 0.74-5.mga4
+ Revision: 435823
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.74-4.mga3
+ Revision: 349063
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 12 2012 dams <dams> 0.74-3.mga3
+ Revision: 317203
- add a patch from opensuse to fix build with gcc47
- clean and update specfile

* Sun Feb 20 2011 eandry <eandry> 0.74-2.mga2
+ Revision: 54745
- remove mandriva stuff
- fix license
- imported package dosbox


* Sat Jul 10 2010 Zombie Ryushu <ryushu@mandriva.org> 0.74-1mdv2011.0
+ Revision: 550235
- string format fix
- Upgrade to 0.74
- Upgrade to 0.74

* Thu May 28 2009 Funda Wang <fwang@mandriva.org> 0.73-1mdv2010.0
+ Revision: 380341
- New version 0.73

* Sat Aug 23 2008 Emmanuel Andry <eandry@mandriva.org> 0.72-3mdv2009.0
+ Revision: 275268
- fix gcc43 build with P0 from fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.72-1mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 0.72-1mdv2008.0
+ Revision: 72035
- New version 0.72

* Tue Jul 31 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.71-1mdv2008.0
+ Revision: 57009
- new release: 0.71
- drop debian menu


* Sun Mar 04 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.70-2mdv2007.0
+ Revision: 132307
- drop config file

* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.70-1mdv2007.1
+ Revision: 132116
- New version 0.70

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.65-3mdv2007.1
+ Revision: 108652
- buildrequires mesaglu-devel
- fix buildrequires
- Import dosbox

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.65-2mdv2007.0
- xdg menu

* Fri Mar 31 2006 Götz Waschk <waschk@mandriva.org> 0.65-1mdk
- New release 0.65
- use mkrel

* Thu Mar 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.63-3mdk
- do not bzip2 icons in src.rpm
- convert changelog to utf8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.63-2mdk
- from Miguel Barrio Orsikowsky <megamik@zarb.org> : 
	- changed BuildRequires
	- new configuration file
	- added SDL_sound-devel to BuildRequires
	- updated package description

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.63-1mdk
- New release 0.63

* Fri Oct 01 2004 Götz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- drop patch
- New release 0.62

* Fri Aug 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-3mdk
- rebuild for new menu

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- add source URL
- patch for new g++

